'-----------------------------------------------------------------------
'                        U S I N G   C L A S S E S  P A R T  2

'                                         Ron Kessler

'                           Updated 7/21/06 for VB 2005

'-----------------------------------------------------------------------
'This demo introduces you to some more features of classes and also 
'introduces the For-Each loop which I use to clear all the textboxes!

Option Explicit On

Public Class Form1


    Dim firstNumber As Double                    'the 1st number they enter
    Dim secondNumber As Double                'secondNumber number they enter
    Dim mathOperand As String              'what to do? (+ - * /)
    Dim getAnswer As New DoMath  'instantiate my custom class 
    Dim myResult As Double                  'hold the answer

    '---find out what type of operation they want to do...
    Private Sub optAdd_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optAdd.CheckedChanged
        If optAdd.Checked Then mathOperand = "+"
    End Sub

    Private Sub optSubtract_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optSubtract.CheckedChanged
        If optSubtract.Checked Then mathOperand = "-"
    End Sub

    Private Sub optMultiply_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optMultiply.CheckedChanged
        If optMultiply.Checked Then mathOperand = "*"
    End Sub

    Private Sub optDivide_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optDivide.CheckedChanged
        If optDivide.Checked Then mathOperand = "/"
    End Sub

    '---now compute the answer
    Private Sub btnCompute_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCompute.Click
        Try
            firstNumber = CDbl(txtNumber1.Text)
            secondNumber = CDbl(txtNumber2.Text)

            '---use the function DoCompute inside the Class Module called DoMath.vb
            txtAnswer.Text = getAnswer.DoCompute(firstNumber, secondNumber, mathOperand)

        Catch err As Exception
            MsgBox("Sorry, but I can't manage that operation...try again.", MsgBoxStyle.Critical, "System Message")
            btnClear.PerformClick()      'simulates clicking the clear button!
            txtNumber1.Focus()

        End Try
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        '---this sub finds all the textboxes on the form and clears them! It searches through the controls collection and when
        '    it finds a textbox, it clears it.
        '---dim a temp object variable as a control object. It can be a button, listbox, textbox, etc.
        Dim myControl As New Control


        '---now loop through the form's control collection to find all the textboxes.
        For Each myControl In Controls
            If TypeOf myControl Is TextBox Then
                myControl.Text = ""
            End If
        Next

        txtNumber1.Focus()
    End Sub

    Private Sub btnEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnd.Click
        Me.Close()
    End Sub
End Class
