'________________________________________________________________

'                        U S I N G   F O R   N E X T   L O O P S
'                             Created 8/14/06 for VB2005
'________________________________________________________________

'This demo shows how to cycle through the controls collection and clear all textboxes. This
'is real handy because it will work even when you add more textboxes! This also demonstrates a concept
'known as "late binding". It means that the compiler doesn't know what kind of object the MyControl variable
'will be until runtime. That means the program cannot figure things out before hand and can make the program
'a bit slower and use more memory.

'Early binding is the technique of telling the VB compiler what data types to expect. This is what we have done
'up to this point.

Public Class Form1

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        Dim MyControl As New Control

        For Each MyControl In Controls
            If TypeOf MyControl Is TextBox Then
                MyControl.Text = ""
            ElseIf TypeOf MyControl Is Button Then
                MyControl.Text = "Hi There"
            End If

        Next
        TextBox1.Focus()
    End Sub

    Private Sub btnEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnd.Click
        Me.Close()
    End Sub
End Class
