
'---------------------------------------------------------------

'                                      Number Machine
'                  How to Create a Class to Handle Math Functions
'                  How to use custom functions to do the same job
'                                     Created 11/8/2004

'---------------------------------------------------------------
'Updated 4/26/2006 for VB 2003
'Updated 7/21/2006 for VB 2005

'The first part of this application shows you how to use functions to do some basic math.

'The second part shows how to do the same thing using my NumberMachine Class I created.
'Notice that I create a new object called myMathMaker as NumberMachine. This is no different than
'you creating textbox1 based on the .Net Textbox Class that MS designed. It is just that  NumberMachine
'is invisible because it has no user interface. When you want to create an instance of a class so it
'will become a working object, you use the NEW keyword in VB.

Option Explicit On

Public Class Form1

    '---module-level stuff
    Dim firstNumber As Short
    Dim secondNumber As Short
    Dim myAnswer As Short

  

    '==================Using My Own Functions to Perform Math=========================

    Private Sub btnAddF_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAddF.Click
        

        firstNumber = CSng(txtThird.Text)
        secondNumber = CSng(txtFourth.Text)
        '---now call my function to add them up
        lblFunctionAnswer.Text = AddThem(firstNumber, secondNumber)

    End Sub

    Private Sub btnSubtractF_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubtractF.Click

        firstNumber = CSng(txtThird.Text)
        secondNumber = CSng(txtFourth.Text)
        '---now call my function to subtract them 
        lblFunctionAnswer.Text = SubtractThem(firstNumber, secondNumber)
    End Sub

    '=================MY CUSTOM FUNCTIONS================

    Private Function AddThem(ByVal x As Short, ByVal y As Short) As Short

        Dim myAnswer As Short
        myAnswer = x + y
        Return myAnswer

    End Function

    Private Function SubtractThem(ByVal x As Short, ByVal y As Short) As Short

        Dim myAnswer As Short
        myAnswer = x - y
        Return myAnswer

    End Function

    Private Sub btnClearF_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClearF.Click
        txtThird.Clear()
        txtFourth.Clear()
        lblFunctionAnswer.Text = ""
        txtThird.Focus()
    End Sub



    '====================END OF:Using a Custom Functions to Perform the Math===========================



    '*************************************USING CUSTOM CLASS*********************************
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click

        '---create an instance of the NumberMachine Class I created
        Dim myMathMaker As New NumberMachine

        firstNumber = CInt(txtFirst.Text)
        secondNumber = CInt(txtSecond.Text)

        myAnswer = myMathMaker.DoAddition(firstNumber, secondNumber)
        lblClassAnswer.Text = myAnswer
    End Sub

    Private Sub btnSubtract_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubtract.Click

        '---create an instance of the NumberMachine Class I created
        Dim myMathMaker As New NumberMachine

        firstNumber = CInt(txtFirst.Text)
        secondNumber = CInt(txtSecond.Text)
        myAnswer = myMathMaker.DoSubtraction(firstNumber, secondNumber)
        lblClassAnswer.Text = myAnswer

    End Sub


    '**********************************END OF USING CUSTOM CLASS*********************************


    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        txtFirst.Clear()
        txtSecond.Clear()
        lblClassAnswer.Text = ""
        txtFirst.Focus()
    End Sub


    Private Sub btnEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnd.Click
        Me.Close()
    End Sub
End Class
