'-------------------------------------------------------------------------

'              I N T R O D U C T I O N   T O   F U N C T I O N S

'                                          Ron Kessler
'                              Created for Visual Studio 2003

'------------------------------------------------------------------------
'Updated 7/21/06 for VS 2005
'   Converted to camelCase

'Here we add two numbers (currency) and show the total in a label control. But this
'project uses a custom function that I created called DoFormat to make the total look like
'money. It formats the total to use a $ also. 

'This simple program helps you see how Microsoft made FormatCurrency and the like. After
'I created this function, I can use it or give it to someone else to use.

Option Explicit On

Public Class frmMain

    Private Sub frmMain_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated

        '---set the cursor when the form displays
        txt1.Focus()

    End Sub


    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click

        '---create three variables for our data
        Dim firstNumber As Single = 0
        Dim secondNumber As Single = 0
        Dim totalDue As Single = 0

        '---assign the values
        firstNumber = CSng(txt1.Text)
        secondNumber = CSng(txt2.Text)
        totalDue = firstNumber + secondNumber       'add them
        Label1.Text = DoFormat(totalDue)               'let DoFormat function format as currency

    End Sub

    '---this function accepts a Single number type and returns a formatted string

    Private Function DoFormat(ByVal x As Single) As String
        'this form only   Name   (number 2 format)   type returned

        '---Private means it only works in this form
        '---we pass in a single precision number called X
        '---my function returns a string

        Dim myResult As String = ""

        '---make 2 decimal places and show $
        myResult = FormatCurrency(x, 2)
        Return myResult       'now send back the formatted string to the btnAdd_Click event so it can be shown in the label.

    End Function

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        txt1.Clear()
        txt2.Clear()
        Label1.Text = ""
        txt1.Focus()
    End Sub

    Private Sub btnEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnd.Click
        Me.Close()
    End Sub
End Class
